> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the webhook delivery log

> Returns an aggregated log of webhook delivery attempts. The data contains a list of triggered webhook events, how many times Monite tried to send each event to your server, the last HTTP status code returned by your webhook listener endpoint, and whether the final attempt to deliver that event was successful.

We guarantee access to webhook delivery data only from the last three months. Earlier data may be unavailable.

Note that if the same event type is included in multiple webhook subscriptions, the results will include several entries for each occurrence of this event - one entry per subscription.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/webhook-deliveries
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/webhook-deliveries:
    get:
      tags:
        - Webhook deliveries
      summary: Get the webhook delivery log
      description: >-
        Returns an aggregated log of webhook delivery attempts. The data
        contains a list of triggered webhook events, how many times Monite tried
        to send each event to your server, the last HTTP status code returned by
        your webhook listener endpoint, and whether the final attempt to deliver
        that event was successful.


        We guarantee access to webhook delivery data only from the last three
        months. Earlier data may be unavailable.


        Note that if the same event type is included in multiple webhook
        subscriptions, the results will include several entries for each
        occurrence of this event - one entry per subscription.
      operationId: get_webhook-deliveries
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - name: order
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OrderEnum'
            default: asc
          description: >-
            Sort order (ascending by default). Typically used together with the
            `sort` parameter.
        - description: >-
            The number of items (0 .. 100) to return in a single page of the
            response. The response may contain fewer items if it is the last or
            only page.
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
          name: limit
          in: query
        - name: pagination_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            A pagination token obtained from a previous call to this endpoint.
            Use it to get the next or previous page of results for your initial
            query. If `pagination_token` is specified, all other query
            parameters are ignored and inferred from the initial query.


            If not specified, the first page of results will be returned.
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WebhookDeliveryCursorFields'
              - type: 'null'
          description: >-
            The field to sort the results by. Typically used together with the
            `order` parameter.
        - name: event_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
        - name: object_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WebhookObjectType'
              - type: 'null'
        - name: event_action
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
        - name: created_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: created_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDeliveryPaginationResource'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
    WebhookDeliveryCursorFields:
      type: string
      enum:
        - created_at
        - updated_at
    WebhookObjectType:
      type: string
      enum:
        - account
        - accounting_connection
        - approval
        - approval_request
        - approval_policy
        - approval_policy_process
        - batch_payment
        - comment
        - counterpart
        - counterpart_address
        - counterpart_bank_account
        - counterpart_contact_person
        - counterpart_partner_metadata
        - counterpart_tax_id
        - entity
        - entity_bank_account
        - entity_settings
        - entity_user
        - export
        - overdue_reminder
        - partner_settings
        - payable
        - payables_credit_note
        - payables_purchase_order
        - payable.line_item
        - payment
        - payment_intent
        - payment_link
        - payment_reminder
        - product
        - project
        - receivable
        - recurrence
        - role
        - tag
        - todo_task
        - workflow
        - workflow_pipeline
        - ocr_task
        - delivery_note
        - receipt
        - transaction
    WebhookDeliveryPaginationResource:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookDeliveryResource'
          type: array
          description: A set of webhooks returned per page
        next_pagination_token:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the next page of results, or `null` if there is no next page
            (i.e. you've reached the last page).
        prev_pagination_token:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the previous page of results, or `null` if there is no
            previous page (i.e. you've reached the first page).
      additionalProperties: false
      type: object
      required:
        - data
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WebhookDeliveryResource:
      properties:
        id:
          type: string
          format: uuid
        event_id:
          type: string
          format: uuid
        requests_made_count:
          type: integer
        response:
          anyOf:
            - type: string
            - type: 'null'
        response_status_code:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
        was_successful:
          anyOf:
            - type: boolean
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - id
        - event_id
        - requests_made_count
        - url
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````